#ifndef ARTICLE2_H
#define ARTICLE2_H

#include <QDialog>
#include <QString>
#include <QSqlQuery>
#include <QSqlQueryModel>

class article2
{public:
    article2();
    article2(int,QString,int);
    int get_codeAbarre();
    bool ajouter();
    bool modifier(QString,int);
    QSqlQueryModel * afficher();
    QSqlQueryModel * trier();
    bool supprimer(QString);
private:
    QString nom,fiche;
    int prix,codeAbarre;
};

#endif // ARTICLE2_H
